package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块基本信息（DKJBXX）对象 t_zdkjbxx
 *
 * @author siwei
 * @date 2025-01-20
 */
public class TZdkjbxx extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 子地块标识码
     */
    @Excel(name = "子地块标识码")
    private String bsm;

    /**
     * 地块编号
     */
    @Excel(name = "地块编号")
    private String dkbh;

    /**
     * 地块面积(亩)
     */
    @Excel(name = "地块面积(亩)")
    private Double dkmj;

    /**
     * 行政区代码
     */
    @Excel(name = "行政区代码")
    private String xzqdm;

    /**
     * 行政区名称
     */
    @Excel(name = "行政区名称")
    private String xzqmc;

    /**
     * 前类型
     */
    @Excel(name = "前类型")
    private String qlx;

    /**
     * 后类型
     */
    @Excel(name = "后类型")
    private String hlx;

    /**
     * 前时相
     */
    @Excel(name = "前时相")
    private String qsx;

    /**
     * 后时相
     */
    @Excel(name = "后时相")
    private String hsx;

    /**
     * 中心点经度
     */
    @Excel(name = "中心点经度")
    private String lzb;

    /**
     * 中心线纬度
     */
    @Excel(name = "中心线纬度")
    private String bzb;

    /**
     * shp属性json
     */
    @Excel(name = "shp属性json")
    private String shpJson;

    /**
     * 审核流程
     */
    @Excel(name = "审核流程")
    private String auditflow;

    /**
     * 批次数据ID
     */
    @Excel(name = "批次数据ID")
    private String pcsjid;

    /**
     * 空间信息
     */
    @Excel(name = "空间信息")
    private String geom;

    /**
     * 前时相tif路径
     */
    @Excel(name = "前时相tif路径")
    private String qsxtif;

    /**
     * 后时相TIF路径
     */
    @Excel(name = "后时相TIF路径")
    private String hsxtif;

    /**
     * 外业核查ID
     */
    @Excel(name = "外业核查ID")
    private String fieldworkId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setBsm(String bsm) {
        this.bsm = bsm;
    }

    public String getBsm() {
        return bsm;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkmj(Double dkmj) {
        this.dkmj = dkmj;
    }

    public Double getDkmj() {
        return dkmj;
    }

    public void setXzqdm(String xzqdm) {
        this.xzqdm = xzqdm;
    }

    public String getXzqdm() {
        return xzqdm;
    }

    public String getXzqmc() {
        return xzqmc;
    }

    public void setXzqmc(String xzqmc) {
        this.xzqmc = xzqmc;
    }

    public void setQlx(String qlx) {
        this.qlx = qlx;
    }

    public String getQlx() {
        return qlx;
    }

    public void setHlx(String hlx) {
        this.hlx = hlx;
    }

    public String getHlx() {
        return hlx;
    }

    public void setQsx(String qsx) {
        this.qsx = qsx;
    }

    public String getQsx() {
        return qsx;
    }

    public void setHsx(String hsx) {
        this.hsx = hsx;
    }

    public String getHsx() {
        return hsx;
    }

    public void setLzb(String lzb) {
        this.lzb = lzb;
    }

    public String getLzb() {
        return lzb;
    }

    public void setBzb(String bzb) {
        this.bzb = bzb;
    }

    public String getBzb() {
        return bzb;
    }

    public void setShpJson(String shpJson) {
        this.shpJson = shpJson;
    }

    public String getShpJson() {
        return shpJson;
    }

    public void setAuditflow(String auditflow) {
        this.auditflow = auditflow;
    }

    public String getAuditflow() {
        return auditflow;
    }

    public void setPcsjid(String pcsjid) {
        this.pcsjid = pcsjid;
    }

    public String getPcsjid() {
        return pcsjid;
    }

    public void setGeom(String geom) {
        this.geom = geom;
    }

    public String getGeom() {
        return geom;
    }

    public void setQsxtif(String qsxtif) {
        this.qsxtif = qsxtif;
    }

    public String getQsxtif() {
        return qsxtif;
    }

    public void setHsxtif(String hsxtif) {
        this.hsxtif = hsxtif;
    }

    public String getHsxtif() {
        return hsxtif;
    }

    public String getFieldworkId() {
        return fieldworkId;
    }

    public void setFieldworkId(String fieldworkId) {
        this.fieldworkId = fieldworkId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("bsm", getBsm())
                .append("dkbh", getDkbh())
                .append("dkmj", getDkmj())
                .append("xzqdm", getXzqdm())
                .append("xzqmc", getXzqmc())
                .append("qlx", getQlx())
                .append("hlx", getHlx())
                .append("qsx", getQsx())
                .append("hsx", getHsx())
                .append("lzb", getLzb())
                .append("bzb", getBzb())
                .append("shpJson", getShpJson())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("auditflow", getAuditflow())
                .append("pcsjid", getPcsjid())
                .append("geom", getGeom())
                .append("qsxtif", getQsxtif())
                .append("hsxtif", getHsxtif())
                .toString();
    }
}
